//////////////////////////////////////////////////////////////////////////
//
// pgAdmin III - PostgreSQL Tools
// RCS-ID:      $Id: frmExport.h 3943 2005-01-10 15:30:26Z dpage $
// Copyright (C) 2002 - 2005, The pgAdmin Development Team
// This software is released under the Artistic Licence
//
// frmExport.h - The export file dialogue
//
//////////////////////////////////////////////////////////////////////////

#ifndef FRMEXPORT_H
#define FRMEXPORT_H

// wxWindows headers
#include <wx/wx.h>

// App headers
#include "pgAdmin3.h"

class ctlSQLResult;
class pgSet;

// Class declarations
class frmExport : public pgDialog
{
public:
    frmExport(wxWindow *parent);
    ~frmExport();

    bool Export(ctlSQLResult *data) { return Export(data, 0); }
    bool Export(pgSet *set) { return Export(0, set); }
    
private:
    void OnChange(wxCommandEvent &ev);
    void OnHelp(wxCommandEvent& ev);
    void OnOK(wxCommandEvent &ev);
    void OnCancel(wxCommandEvent &ev);
    void OnBrowseFile(wxCommandEvent &ev);
    bool Export(ctlSQLResult *data, pgSet *set);

    wxWindow *parent;

    DECLARE_EVENT_TABLE()
};

#endif
